Skip to main content
GET
/
api
/
v1
/
user
/
{id}
cURL
curl --request GET \
  --url https://api.example.com/api/v1/user/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "status": "ACTIVE",
  "tenantId": 123,
  "organisationId": 123,
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "externalId": "<string>",
  "meta": {},
  "roles": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Response

200 - application/json

OK

id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

status
enum<string>

Status of the entity. Default: 'ACTIVE'

Available options:
ACTIVE,
DISABLED,
DELETED
tenantId
integer<int64>

ID of the tenant

organisationId
integer<int64>

ID of the organisation

firstName
string

The user's first name.

lastName
string

The user's last name.

email
string

The user's email address.

externalId
string

Id of the user on auth service.

meta
object

A map the user's meta properties

roles
string[]

A list of the user's roles.